Data Fields
_PurpleRoomlistField Struct Reference

A field a room might have. More...

`#include <roomlist.h>`

## Data Fields
PurpleRoomlistFieldType | type
| The type of field. More...
gchar * | label
| The i18n user displayed name of the field. More...
gchar * | name
| The internal name of the field. More...
gboolean | hidden
| Hidden?

## Detailed Description

A field a room might have.

Definition at line 93 of file roomlist.h.

## Field Documentation

## ◆ label

gchar* _PurpleRoomlistField::label

The i18n user displayed name of the field.

Definition at line 95 of file roomlist.h.

## ◆ name

gchar* _PurpleRoomlistField::name

The internal name of the field.

Definition at line 96 of file roomlist.h.

## ◆ type

PurpleRoomlistFieldType _PurpleRoomlistField::type

The type of field.

Definition at line 94 of file roomlist.h.

The documentation for this struct was generated from the following file:

- roomlist.h